All Virtual Terminal
curl --request GET \
--url https://nini.monieswitch.com/terminal \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/terminal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/terminal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"page": 1,
"size": 20,
"totalRecords": 5,
"totalPages": 1,
"terminals": [
{
"id": "28cc1855-2ff4-4a40-9df2-32aefb06eada",
"name": "Lambe 01",
"code": "Terminal 2",
"createdAt": "2024-12-27T15:20:45.828Z",
"merchant": {
"id": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"businessName": "Neyosoft",
"email": "[email protected]"
},
"store": {
"id": "9ab67f41-10c9-4f52-adfc-31f460980966",
"name": "Lambe Shop",
"email": "[email protected]"
}
},
{
"id": "00319ac9-ab60-48be-9604-fc62004b0f55",
"name": "Lambe 01",
"code": "Terminal 1",
"createdAt": "2024-12-27T14:38:18.534Z",
"merchant": {
"id": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"businessName": "Neyosoft",
"email": "[email protected]"
},
"store": {
"id": "9ab67f41-10c9-4f52-adfc-31f460980966",
"name": "Lambe Shop",
"email": "[email protected]"
}
},
{
"id": "4e992787-e78d-4262-a144-9e6b847eaa25",
"name": "Ajuwon 005",
"code": null,
"createdAt": "2024-12-24T02:45:25.315Z",
"merchant": {
"id": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"businessName": "Neyosoft",
"email": "[email protected]"
},
"store": {
"id": "87b67fa5-553f-45ab-8daf-e446af4d6809",
"name": "Ajuwon Market",
"email": "[email protected]"
}
},
{
"id": "ab26eb12-ac10-46af-b896-affbcdaf97dc",
"name": "Ajuwon 002",
"code": null,
"createdAt": "2024-12-24T02:38:10.484Z",
"merchant": {
"id": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"businessName": "Neyosoft",
"email": "[email protected]"
},
"store": {
"id": "87b67fa5-553f-45ab-8daf-e446af4d6809",
"name": "Ajuwon Market",
"email": "[email protected]"
}
},
{
"id": "46261fb9-ff01-4f1a-8f75-c40a65dff81a",
"name": "Ajuwon 002",
"code": null,
"createdAt": "2024-12-24T02:36:42.079Z",
"merchant": {
"id": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"businessName": "Neyosoft",
"email": "[email protected]"
},
"store": {
"id": "87b67fa5-553f-45ab-8daf-e446af4d6809",
"name": "Ajuwon Market",
"email": "[email protected]"
}
}
]
}
}Branches
All Virtual Terminal
GET
/
terminal
All Virtual Terminal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I